Subject: Re: bug#20538: 24.4; Attempt to delete a surrogate minibuffer frame

From: martin rudalics <[email-masked]>
Date: Wed, 13 May 2015 09:32:11 +0200

> How do you use the undocumented function ediff-setup-windows-plain?
 > (Could this usage be properly documented?)

It's an option (a customizable variable).  Do

M-: (require 'ediff) RET

C-h v RET ediff-window-setup-function RET

 > Sure.  I was more thinking that quite generally the error message
 > talking about a "surrogate minibuffer frame" is a bit confusing if
 > one has no clue what this term means.  When I first saw this
 > message, I thought of something like a "minibuffer frame" that was
 > some kind of surrogate (which was why I thought this was supposed to
 > refer to the Ediff control panel that acts like a minibuffer for an
 > ediff session).
 >
 > Perhaps the error message could be changed to something like
 >
 >    "Attempt to delete frame with a surrogate minibuffer for frame XYZ"

Maybe we should say in the documentation of `delete-frame' something
like

   A frame may not be deleted if its minibuffer serves as surrogate
   minibuffer for another frame.

martin